# Interface BuildInfo

Contains property metadata for the Twinfinity build

interface BuildInfo {
buildType: BuildType;
commit: string;
id: number;
major: number;
minor: number;
patch: number;
version: string;
}

##### Index

### Properties

buildType
commit
id
major
minor
patch
version

## Properties

### `Readonly` buildType

buildType: BuildType

The build type

### `Readonly` commit

commit: string

The commit checksum

### `Readonly` id

id: number

Unique build id

### `Readonly` major

major: number

Major version number

### `Readonly` minor

minor: number

Minor version number

### `Readonly` patch

patch: number

Patch version number

### `Readonly` version

version: string

String that uniquely identifies the current version